This service will be undergoing maintenance at 03:30 UTC, 2016-05-27. It is expected to last about 2 hours
Bug 699964 - can not open read-only floppy
can not open read-only floppy
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.7
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: jason wang
Virtualization Bugs
:
Depends On:
Blocks: Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2011-04-27 00:56 EDT by Suqin Huang
Modified: 2011-07-29 23:37 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-29 23:37:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Suqin Huang 2011-04-27 00:56:39 EDT
Description of problem:
kvm quit with error: could not open disk image /home/kvm_autotest_root/iso/windows/virtio-win.vfd while boot guest with readonly floppy.


Version-Release number of selected component (if applicable):
kvm-83-231.el5

How reproducible:
100%

Steps to Reproduce:
1.

mount readonly nfs, virtio-win.vfd is put in nfs, boot guest with -fda virtio-win.vfd

cmd:

/usr/libexec/qemu-kvm -sevirtio-win.vfd
rial unix:'/tmp/serial-20110427-114323-HHW0',server,nowait -monitor stdio -drive file=/usr/images/RHEL-Server-5.6-32-virtio.qcow2,index=0,if=virtio,media=disk,cache=none,boot=on,format=qcow2 -net nic,vlan=0,model=virtio,macaddr=9a:e9:5e:93:4d:db -net tap,vlan=0,ifname=t0-114323-HHW0,script=/usr/scripts/qemu-ifup-switch,downscript=no -m 4096 -smp 2,cores=1,threads=1,sockets=2 -cpu qemu64,+sse2 -vnc :0 -rtc-td-hack -M rhel5.6.0 -boot c -usbdevice tablet -no-kvm-pit-reinjection -fda /home/kvm_autotest_root/iso/windows/virtio-win.vfd

2.
3.
  
Actual results:
qemu quit with error: 
qemu: could not open disk image /home/kvm_autotest_root/iso/windows/virtio-win.vfd

Expected results:


Additional info:

1. nfs info:

10.66.90.128:/vol/S2/kvmauto/iso on /home/kvm_autotest_root/iso type nfs (ro,addr=10.66.90.128)

2. can boot while change nfs to rw

3. host

processor	: 1
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 67
model name	: Dual-Core AMD Opteron(tm) Processor 1216
stepping	: 3
cpu MHz		: 1000.000
cache size	: 1024 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy
bogomips	: 2009.36
TLB size	: 1024 4K pages
clflush size	: 64
cache_alignment	: 64
address sizes	: 40 bits physical, 48 bits virtual
power management: ts fid vid ttp tm stc

Note You need to log in before you can comment on or make changes to this bug.